package api

import (
	"blog/config"
	"blog/models"
	"io"
)

type Api struct {
	Mode           string
	Url            string
	Args           []Args
	SampleResponse string
}
type Args struct {
	Name        string
	Required    bool
	Description string
}

func ApiViewBuild(api Api, err interface{}) map[string]interface{} {
	return map[string]interface{}{
		"Api":    api,
		"Err":    err,
		"Config": config.Cfg,
	}
}

func (a Api) ErrorInfoView(w io.Writer, err interface{}) {
	models.Api.Info.WriteData(w, ApiViewBuild(a, err))
}
